when:
  - event: manual
  - event: tag

#depends_on:
  #- test

steps:
  npm:
    image: code.philo.ydns.eu/philorg/pnpm-python
    pull: true
    environment:
      ORG: philorg
      REGISTRY_TOKEN:
        from_secret: registry_token
    volumes:
      - pnpm:/root/.local/share/pnpm
    commands:
      - pnpm install --frozen-lockfile
      - pnpm set "//code.philo.ydns.eu/api/packages/$ORG/npm/:_authToken=$REGISTRY_TOKEN"
      - pnpm publish --no-git-checks
    failure: ignore

  build_publish:
    image: quay.io/podman/stable:latest
    # Caution: This image is built daily. It might fill up your image store quickly.
    #pull: true
    volumes:
      - containers:/var/lib/containers
      - pnpm:/root/.local/share/pnpm
    # Fill in the trusted checkbox in Woodpecker's settings as well
    privileged: true
    environment:
      registry: code.philo.ydns.eu
      org: philorg
      container_name: oidc-vue-test
      registry_token:
        from_secret: registry_token
    commands:
      # Login at the registry
      - podman login -u __token__ --password $registry_token $registry
      # Build the container image
      - podman build --volume=/var/lib/containers:/var/lib/containers --tag $registry/$org/$container_name:latest --tag $registry/$org/$container_name:$CI_COMMIT_TAG  .
      # Push the image
      - podman push $registry/$org/$container_name:latest
      - podman push $registry/$org/$container_name:$CI_COMMIT_TAG
